Skip to content

Get Weekly Horoscope Report

GET
/api/horoscope/weekly/{year}/{week}/{zodiacSign}

Retrieve weekly horoscope report for a specific zodiac sign and week.

Authorizations

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Parameters

Path Parameters

year*
Type
string
Required
Pattern
"^\\d{4}$"
week*
Type
string
Required
Pattern
"^(0[1-9]|[1-4]\\d|5[0-3])$"
zodiacSign*
Type
string
Required

Responses

Weekly horoscope report

application/vnd.api+json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"attributes": {
  
  
  
"reportType": "string",
  
  
  
"zodiacSign": "string",
  
  
  
"period": {
  
  
  
  
"year": "string",
  
  
  
  
"week": "string"
  
  
  
},
  
  
  
"language": "string",
  
  
  
"title": "string",
  
  
  
"body": "string",
  
  
  
"metadata": null
  
  
}
  
}
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

AstroAPI Documentation